.noselect {
    -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
    -khtml-user-select: none; /* Konqueror HTML */
    -moz-user-select: none; /* Old versions of Firefox */
    -ms-user-select: none; /* Internet Explorer/Edge */
    user-select: none; /* Non-prefixed version, currently supported by Chrome, Edge, Opera and Firefox */
}

/* INPUTS */
input[type=text],
input[type=password] {
    display: block;
    margin-left: auto;
    margin-right: auto;
    padding: 10px 15px;
    min-width: 220px;
    background-color: var(--background-color);
    margin-bottom: 15px;
    border: 1px solid var(--text-color);
    border-radius: 5px;
    color: var(--text-color);
}
.submit {
    display: inline-block;
    margin-left: auto;
    margin-right: auto;
    background-color: var(--primary-color);
    color: var(--text-color);
    border: 0;
    width: auto;
}
.submit:hover,input.submit:active,input.submit:focus {
    background-color: var(--primary-color);
    filter: brightness(80%);
}
.form-error {
    display: block;
    color: var(--bs-danger);
    margin: 0 15px 15px 15px;
}

/* BACK BUTTON */

.back-nav-button {
    position: fixed;
    top: 13px;
    left: 19px;
    z-index: 10;
    color: var(--header-text-color);
    font-size: var(--back-nav-button-size);
}
.back-nav-button:hover,
.back-nav-button:focus,
.back-nav-button:active {
    color: var(--header-text-color);
}

/* ITEM LIST */

.item-list {
    padding: 0;
    margin: 0;
}
.item-list-heading {
    display: block;
    text-align: left;
    margin-bottom: 0;
    margin-top: 15px;
    color: var(--text-color);
    filter: brightness(80%);
    border-bottom: 1px solid var(--border-color);
}
.item-list .item-list-item {
    display: flex;
    position: relative;
    align-items: center;
    justify-content: flex-start;

    list-style: none;
    text-align: left;
    min-height: 60px;
    line-height: 25px;
    border-bottom: 1px solid var(--border-color);
    padding: 10px 0;
}
.item-list .item-list-item .line-text {
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
}
.item-list .item-list-item .line-primary {
    display: block;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
    font-size: var(--item-list-primary-font-size);
}
.item-list .item-list-item .line-secondary {
    display: block;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
    font-size: var(--item-list-secondary-font-size);
    color: var(--text-color);
    filter: brightness(80%);
}
.item-list .item-list-item .info-button {
    align-self: center;
    font-size: var(--item-list-icon-font-size);
    margin-left: auto;
    margin-right: 0;
    padding-left: 5px;
    color: var(--primary-color);
}

/* DL DT DD */

.row.dl {
    text-align: left;
    margin-bottom: 15px;
}
.row.dl .dt {
    color: var(--text-color);
    filter: brightness(80%);
}
.row.dl .dd {
    font-weight: bold;
}

/* MODAL */

.nts-modal-overlay {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: var(--background-color-transparent);
    z-index: 8;
}
.nts-modal {
    background-color: var(--background-color);
    overflow: auto;
    width: 90%;
    position: fixed;
    top: 115px;
    left: 5%;
    right: 5%;
    height: auto;
    padding: 15px;
    border: 1px solid var(--border-color);
    z-index: 21;
}
.nts-modal .close-modal {
    position: absolute;
    top: 15px;
    right: 15px;
}
